def _default_tool(name):
    if name == "parallel_search":
        from futuremind.tool.tools.parallel_search_tool import ParallelSearchTool
        return ParallelSearchTool()
    elif name == "futuremind":
        from futuremind.tool.tools.futuremind_tool import FutureMind
        return FutureMind()
    else:
        raise NotImplementedError(f"Tool {name} not implemented")